<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMaterialBoxesFieldStatus extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('material_boxes', function (Blueprint $table) {
            $table->tinyInteger('status')->nullable()->index('material_boxes_i_status');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('material_boxes', function (Blueprint $table) {
            $table->dropColumn('status');
        });
    }
}
